# python
# This file is generated by a program (mib2py). Any edits will be lost.

from pycopia.aid import Enum
import pycopia.SMI.Basetypes
Range = pycopia.SMI.Basetypes.Range
Ranges = pycopia.SMI.Basetypes.Ranges

from pycopia.SMI.Objects import ColumnObject, MacroObject, NotificationObject, RowObject, ScalarObject, NodeObject, ModuleObject, GroupObject

# imports 
from SNMPv2_SMI import MODULE_IDENTITY, OBJECT_TYPE, experimental, Integer32
from SNMPv2_CONF import MODULE_COMPLIANCE, OBJECT_GROUP
from SNMP_USER_BASED_SM_MIB import usmUserEntry
from SNMPv2_TC import TEXTUAL_CONVENTION
from SNMP_FRAMEWORK_MIB import SnmpAdminString

class SNMP_USM_DH_OBJECTS_MIB(ModuleObject):
	path = '/usr/share/mibs/ietf/SNMP-USM-DH-OBJECTS-MIB'
	conformance = 5
	name = 'SNMP-USM-DH-OBJECTS-MIB'
	language = 2
	description = "The management information definitions for providing forward\nsecrecy for key changes for the usmUserTable, and for providing a\nmethod for 'kickstarting' access to the agent via a Diffie-Helman\nkey agreement."

# nodes
class snmpUsmDHObjectsMIB(NodeObject):
	status = 1
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101])
	name = 'snmpUsmDHObjectsMIB'

class usmDHKeyObjects(NodeObject):
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 1])
	name = 'usmDHKeyObjects'

class usmDHPublicObjects(NodeObject):
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 1, 1])
	name = 'usmDHPublicObjects'

class usmDHKickstartGroup(NodeObject):
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 1, 2])
	name = 'usmDHKickstartGroup'

class usmDHKeyConformance(NodeObject):
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 2])
	name = 'usmDHKeyConformance'

class usmDHKeyMIBCompliances(NodeObject):
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 2, 1])
	name = 'usmDHKeyMIBCompliances'

class usmDHKeyMIBGroups(NodeObject):
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 2, 2])
	name = 'usmDHKeyMIBGroups'


# macros
# types 

class DHKeyChange(pycopia.SMI.Basetypes.OctetString):
	status = 1

# scalars 
class usmDHParameters(ScalarObject):
	access = 5
	status = 1
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 1, 1, 1])
	syntaxobject = pycopia.SMI.Basetypes.OctetString


# columns
class usmDHUserAuthKeyChange(ColumnObject):
	access = 5
	status = 1
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 1, 1, 2, 1, 1])
	syntaxobject = DHKeyChange


class usmDHUserOwnAuthKeyChange(ColumnObject):
	access = 5
	status = 1
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 1, 1, 2, 1, 2])
	syntaxobject = DHKeyChange


class usmDHUserPrivKeyChange(ColumnObject):
	access = 5
	status = 1
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 1, 1, 2, 1, 3])
	syntaxobject = DHKeyChange


class usmDHUserOwnPrivKeyChange(ColumnObject):
	access = 5
	status = 1
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 1, 1, 2, 1, 4])
	syntaxobject = DHKeyChange


class usmDHKickstartIndex(ColumnObject):
	access = 2
	status = 1
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 1, 2, 1, 1, 1])
	syntaxobject = pycopia.SMI.Basetypes.Integer32


class usmDHKickstartMyPublic(ColumnObject):
	access = 4
	status = 1
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 1, 2, 1, 1, 2])
	syntaxobject = pycopia.SMI.Basetypes.OctetString


class usmDHKickstartMgrPublic(ColumnObject):
	access = 4
	status = 1
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 1, 2, 1, 1, 3])
	syntaxobject = pycopia.SMI.Basetypes.OctetString


class usmDHKickstartSecurityName(ColumnObject):
	access = 4
	status = 1
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 1, 2, 1, 1, 4])
	syntaxobject = SnmpAdminString


# rows 
from SNMP_USER_BASED_SM_MIB import usmUserEngineID
from SNMP_USER_BASED_SM_MIB import usmUserName
class usmDHUserKeyEntry(RowObject):
	status = 1
	index = pycopia.SMI.Objects.IndexObjects([usmUserEngineID, usmUserName], False)
	create = 1
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 1, 1, 2, 1])
	access = 2
	columns = {'usmDHUserAuthKeyChange': usmDHUserAuthKeyChange, 'usmDHUserOwnAuthKeyChange': usmDHUserOwnAuthKeyChange, 'usmDHUserPrivKeyChange': usmDHUserPrivKeyChange, 'usmDHUserOwnPrivKeyChange': usmDHUserOwnPrivKeyChange}


class usmDHKickstartEntry(RowObject):
	status = 1
	index = pycopia.SMI.Objects.IndexObjects([usmDHKickstartIndex], False)
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 1, 2, 1, 1])
	access = 2
	columns = {'usmDHKickstartIndex': usmDHKickstartIndex, 'usmDHKickstartMyPublic': usmDHKickstartMyPublic, 'usmDHKickstartMgrPublic': usmDHKickstartMgrPublic, 'usmDHKickstartSecurityName': usmDHKickstartSecurityName}


# notifications (traps) 
# groups 
class usmDHKeyMIBBasicGroup(GroupObject):
	access = 2
	status = 1
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 2, 2, 1])
	group = [usmDHUserAuthKeyChange, usmDHUserOwnAuthKeyChange, usmDHUserPrivKeyChange, usmDHUserOwnPrivKeyChange]

class usmDHKeyParamGroup(GroupObject):
	access = 2
	status = 1
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 2, 2, 2])
	group = [usmDHParameters]

class usmDHKeyKickstartGroup(GroupObject):
	access = 2
	status = 1
	OID = pycopia.SMI.Basetypes.ObjectIdentifier([1, 3, 6, 1, 3, 101, 2, 2, 3])
	group = [usmDHKickstartMyPublic, usmDHKickstartMgrPublic, usmDHKickstartSecurityName]

# capabilities 

# special additions

# Add to master OIDMAP.
from pycopia import SMI
SMI.update_oidmap(__name__)
